
Redmine - Defect #5569

Drop down list for related version does not show up in sub-projects

2010-05-21 13:59 - Pierre-Yves Ritschard

Status: Closed Start date: 2010-05-21

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

Even though a version is declared as shared by sub-projects, it doesn't show up in an issue's edition form.

Setting fixed_id through the rails console exibhits the right behavior.

It seems as though the code for assignable_versions in the issue controller needs to walk not only the project but also it's parent's

projects in that case, I don't get exactly what needs to be modified here:

1. Versions that the issue can be assigned to

def assignable_versions

@assignable_versions ||= (project.shared_versions.open + [Version.find_by_id(fixed_version_id_was)]).compact.uniq.sort

end

History

#1 - 2010-10-21 09:49 - Pierre-Yves Ritschard

- Status changed from New to Resolved

- % Done changed from 0 to 100

This is fixed in HEAD

#2 - 2010-12-22 01:17 - Mischa The Evil

- Status changed from Resolved to Closed

- Resolution set to Fixed

Thanks for your feedback.
